Subject: Re: [RFC] Add a new email notification script to "contrib"

From: Michael Haggerty <[email-masked]>
Date: Thu, 22 Nov 2012 08:32:49 +0100

On 11/08/2012 04:38 PM, Ævar Arnfjörð Bjarmason wrote:
> On Thu, Nov 8, 2012 at 1:17 PM, Michael Haggerty <[email-masked]> wrote:
>> On 11/08/2012 12:39 PM, Ævar Arnfjörð Bjarmason wrote:
>>> But in addition to that we have our own custom E-Mail notification
>>> scripts for:
>>>
>>>  * People can subscribe to changes to certain files. I.e. if you
>>>    modify very_important.c we'll send an E-Mail to a more widely seen
>>>    review list.
>>>
>>>  * Invididuals can also edit a config file to watch individual files /
>>>    glob patterns of files, e.g. src/main.c or src/crypto*
>>
[...]
> 
> I think just sending the individual patch e-mails to all people who
> subscribe to paths that got changed in that patch that match their
> watchlist makes sense.

I forgot to mention, but Environment.get_revision_recipients() has all
the information needed to implement such a policy.  You could override
this method in your own Environment class to get the behavior that you want.

> That script *also* supports sending the whole batch of patches pushed
> in that push to someone watching any file that got modified in one of
> the patches, in case you also want to get other stuff pushed in pushes
> for files you're interested in.

This is not yet possible without more intrusive code changes.

Michael

-- 
Michael Haggerty
[email-masked]
http://softwareswirl.blogspot.com/